> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Wallet Staking Rewards

> Request to claim staking rewards. This feature is only for ETH Pectra (0x02) validators.



## OpenAPI

````yaml post /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/claim_rewards
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/staking/claim_rewards:
    post:
      tags:
        - Staking
      summary: Claim Wallet Staking Rewards (Alpha)
      description: >-
        Request to claim staking rewards. This feature is only for ETH Pectra
        (0x02) validators.
      operationId: PrimeRESTAPI_StakingClaimRewards
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - idempotency_key
              type: object
              properties:
                idempotency_key:
                  type: string
                  description: >-
                    The client generated idempotency key for requested
                    execution. Any subsequent requests with the same key will
                    return the original response
                inputs:
                  $ref: >-
                    #/components/schemas/coinbase.public_rest_api.WalletClaimRewardsInputs
              description: >-
                StakingClaimRewardsRequest represents a request to claim staking
                rewards.

                Intentionally omits WalletStakingMetadata; see
                WalletStakingMetadata for rationale.
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.StakingClaimRewardsResponse
components:
  schemas:
    coinbase.public_rest_api.WalletClaimRewardsInputs:
      type: object
      properties:
        amount:
          type: string
          description: >-
            Optional amount to claim rewards (ETH only). If omitted, the wallet
            will claim the maximum amount available
      description: >-
        WalletClaimRewardsInputs contains the custom inputs for claim rewards
        operations on a wallet.

        Requirements and supported fields vary by asset type.
    coinbase.public_rest_api.StakingClaimRewardsResponse:
      required:
        - activity_id
        - transaction_id
        - wallet_id
      type: object
      properties:
        wallet_id:
          type: string
          description: The wallet ID
        transaction_id:
          type: string
          description: >-
            ID of the newly created transaction, can be used to fetch details of
            the current state of execution
        activity_id:
          type: string
          description: The ID for the activity generated for this request

````